id: wordpress-backuply

info:
  name: Backuply – Backup, Restore, Migrate and Clone Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/backuply/
  metadata:
    plugin_namespace: backuply
    wpscan: https://wpscan.com/plugin/backuply
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/backuply/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/backuply.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100b4b664154df4bbbe7f67b5debf7f972bb31142f2ab03593f81f9cac01dd64b4302203330895330eb788418e0b4b07b332f45fa0d82789523d2659e1f83bbcc366829:922c64590222798bb761d5b6d8e72950